---
title: RTCIceCandidate.tcpType
slug: Web/API/RTCIceCandidate/tcpType
tags:
  - API
  - Candidate
  - ICE
  - Media
  - RTCIceCandidate
  - Read-only
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - tcpType
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceCandidate")}}</strong> interface's read-only <strong><code>tcpType</code></strong> property is included on TCP candidates to provide additional details about the candidate type.</span></p>

<p>The <code>tcpType</code> field's value is set when the {{domxref("RTCIceCandidate.RTCIceCandidate", "RTCIceCandidate()")}} constructor is used. You can't directly set its value; instead, its value is automatically extracted from the {{domxref("RTCIceCandidateInit.candidate", "candidate")}} a-line, if it's formatted properly.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>tcpType</em> = <em>RTCIceCandidate</em>.tcpType;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value is one of those defined by the {{domxref("RTCIceTcpCandidateType")}} enumerated type.</p>

<p>{{page("/en-US/docs/Web/API/RTCIceTcpCandidateType", "Values")}}</p>

<p><code>tcpType</code> is <code>null</code> for {{Glossary("UDP")}} candidates.</p>

<h2 id="Example">Example</h2>

<p>In this example, the candidate's {{domxref("RTCIceCandidate.protocol", "protocol")}} and <code>tcpType</code> are used to adjust the user interface for simultaneous-open TCP candidates.</p>

<pre class="brush: js">if (candidate.protocol == "tcp" &amp;&amp; candidate.tcpType == "so") {
    adjustForSimultaneousOpen(candidate);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-tcptype', 'RTCIceCandidate.tcpType')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.tcpType")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Protocols">Introduction to WebRTC protocols</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Connectivity">WebRTC connectivity</a></li>
 <li>{{domxref("RTCIceCandidate.protocol")}}</li>
 <li>{{domxref("RTCIceCandidate.type")}}</li>
</ul>
